# DCTF v0.1

The first decentralized CTF engine, used by CCTF

Testnet deployment on Moonbase Alpha: https://moonbase.moonscan.io/address/0x70f0cec3c99103113d96ed8ad82ae6a8d9a735a0#code

Testnet Hall of Fame on Moonbase Alpha: https://moonbase.moonscan.io/address/0xb70780843be242474025f185bf26dddadfc27f43#code

Main team contributors: six, Silur, Bazsi

Hackathon contributors: SI, username, Anon, GuyFromUniversity, ZK, Metafaka team, BMEta team

### Short-term ToDo

- Finish the Vault
- Finish the Hall of Fame with multi-management DAO style setup (approval needed for valid flag?)
- Architect the topology, research best way so all features work together
- Check and fix FE - contract integration, partially done, we need remote removals
- Add FE missing functions
- Re-architect in a way we don't need to redeploy


# Workshop at HITB 2023

We will go through a fast intro to Web3 and how to hack DCTF. Anyone present at HITB 2023 Phuket, feel free to ask user six at the Crypto Village desk. Agenda:

- What is blockchain/web3/other buzzwords and the tech behind?
    - Consensus, RPoW, PoW, PoS
    - LibP2P and nodes
    - Solidity, js and rust (where and what and why?)
    - Substrate
    - ECDSA logic, signing, basics
- Logic of DCTF
- Resources for hacking DCTF
- Next steps for CCTF and decentralized community

This is a free flow workshop. Six can explain these you in 20 mins, but vibes will tell how long you stay and hack.

For generating the ECDSA signatures and message hashes, use: https://git.hsbp.org/six/eth_keygen/src/branch/master/ethkeygen.py
